#!/usr/bin/perl
#####################################################################################################################################
#
# DynDNS module for webmin
# Written by Giovanni Beltrame, 2002
# This module is GPL licensed
#
#####################################################################################################################################

require './dyndns-lib.pl';

my @links, @names, @icons;

# Parse arguments
&ReadParse();

# Check save and apply options
&generate_script() if $in{"generate"};

&header( "Dynamic DNS Provider" , "" , config => 1);

# Initalize display table
$number = $dyndns_config{'DYNDNS_N'} unless $number = $in{'number'};
$nextnum = $number+1;
print "<br><a href=\"entry.cgi?number=$nextnum\">Add an entry</a>\n<hr>";

for( $j = 0 ; $j < $number ; $j++ ) {
  $i = $j+1;
  $links[$j]="entry.cgi?number=$i";
  $names[$j]=$dyndns_config{"DYNDNS_HOST_$i"}.".".$dyndns_config{"DYNDNS_DOMAIN_$i"};
  $icons[$j]="images/icon.gif";
}

print icons_table( \@links , \@names , \@icons );

print "<form name=\"form1\" method=\"post\" action=\"index.cgi\">\n";

# If generate is true, then the config will be saved and the script generated
print "<input type=\"hidden\" name=\"generate\" value=\"0\">";
print "<input type=\"hidden\" name=\"update\" value=\"0\">";

# Hold the number of stored configurations
print "<input type=\"hidden\" name=\"number\" value=\"$number\"><hr>";


print "<input type=\"submit\" value=\"Save&Apply\" onClick=\"generate.value = 1\">&nbsp;\n";
print "<input type=\"submit\" value=\"Update All\" onClick=\"update.value = 1\">&nbsp;\n";
print "</form><br>&nbsp;\n";

&jwindow( "./update.cgi", "response" , "200" , "300" ) if $in{update};

&footer( "" , "module index" );
